Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class WebLogicObjectName

    java.lang.Object
      |
      +--javax.management.ObjectName
            |
            +--weblogic.management.WebLogicObjectName

public final class WebLogicObjectName
extends javax.management.ObjectName
implements weblogic.common.internal.InteropWriteReplaceable

The WebLogic Server Management API distinguishes between three types of MBeans:

Administration, Configuration and Runtime MBeans. For details on different MBean types, see weblogic. management.WebLogicMBean .

All MBeans have a name, a type and a domain. These attributes are reflected in the MBean's Object Name. The Object Name is the unique identifier for a given MBean across all domains, and has the following structure:

mydomain:Name=name,Type=type[,attr=value]...

Name is a name that is unique for a given domain and a given type. Examples of type include Server, WebComponent or JDBCConnectionPoolRuntime. Type is also used to distinguish between an administration and config MBean of a given type for example, the value of Type for a Server MBean is:

'Server' for an Administration MBean 'ServerConfig' for a Configuration MBean 'ServerRuntime' for a Runtime MBean

NOTE

1. "MBean" suffix is removed from the MBean interface name to get the base type of an MBean. Config or Runtime suffices are added to the base name (Server) to distinguish configuration and runtime MBeans from administration MBeans.

2. Specific MBean types have additional components. All runtime and configuration MBeans have a Location component that contains the name of the server on which that MBean is located as its value.

For example: mydomain:Name=myServlet,Type=ServletRuntime,Location=myserver

Any MBean which has a child relationship with another MBean, has an extra attribute in its object name in the following format: TypeOfParentMBean=NameOfParentMBean. The following example objectname shows an administration LogMBean whose parent is a ServerMBean. Server is the type of Parent MBean, and myserver is the name of the Parent MBean:

mydomain:Name=mylog,Type=Log,Server=myserver

In otherwords anything that is not Name=,Type=,Location= indicates the parent relatinship.

See Also:
  `WebLogicMBean`, Serialized Form

Field Summary
`static java.lang.String` | `LOCATION` The key for the location component of a WebLogic ObjectName.
`static java.lang.String` | `NAME` The key for the simple name component of a WebLogic ObjectName
`static java.lang.String` | `TYPE` The key for the type component of a WebLogic ObjectName
`static java.lang.String` | `WEBLOGIC` The weblogic domain

Constructor Summary
`WebLogicObjectName(javax.management.ObjectName objectName, java.lang.String locationName)` Deprecated. In WLS 6.1
`WebLogicObjectName(java.lang.String fullObjectName)` Deprecated. In WLS 6.1
`WebLogicObjectName(java.lang.String domain, java.util.Hashtable properties)` Deprecated. In WLS 6.1
`WebLogicObjectName(java.lang.String name, java.lang.String type)` For Admin MBeans
`WebLogicObjectName(java.lang.String name, java.lang.String type, java.lang.String domain)` For Admin MBeans
`WebLogicObjectName(java.lang.String name, java.lang.String type, java.lang.String domain, java.lang.String location)` For non-Admin MBeans
`WebLogicObjectName(java.lang.String nameArg, java.lang.String typeArg, java.lang.String domainArg, java.lang.String locationArg, WebLogicObjectName parentArg)` For non-Admin MBeans
`WebLogicObjectName(java.lang.String nameArg, java.lang.String typeArg, java.lang.String domainArg, WebLogicObjectName parentArg)` For Admin MBeans
`WebLogicObjectName(java.lang.String nameArg, java.lang.String typeArg, WebLogicObjectName parentArg)` Deprecated. In WLS 6.1
`WebLogicObjectName(WebLogicObjectName objectNameArg, WebLogicObjectName parentArg)` Deprecated. In WLS 6.1

Method Summary
`java.lang.String` | `getLocation()`
`java.lang.String` | `getName()`
`WebLogicObjectName` | `getParent()`
`java.lang.String` | `getType()`
`int` | `hashCode()`
`java.lang.Object` | `interopWriteReplace(weblogic.common.internal.PeerInfo info)`
`boolean` | `isAdmin()`
`boolean` | `isConfig()`
`boolean` | `isRuntime()`

Methods inherited from class javax.management.ObjectName
`equals, getCanonicalKeyPropertyListString, getCanonicalName, getDomain, getKeyProperty, getKeyPropertyList, getKeyPropertyListString, isPattern, isPropertyPattern, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WEBLOGIC

    public static final java.lang.String WEBLOGIC

  The weblogic domain

### NAME

    public static final java.lang.String NAME

  The key for the simple name component of a WebLogic ObjectName

### TYPE

    public static final java.lang.String TYPE

  The key for the type component of a WebLogic ObjectName

### LOCATION

    public static final java.lang.String LOCATION

  The key for the location component of a WebLogic ObjectName. This is the simple name of the server (i.e. myserver) on which MBean lives.

Constructor Detail

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String fullObjectName)
                       throws javax.management.MalformedObjectNameException

  Deprecated. In WLS 6.1
  Builds a WebLogic ObjectName.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String name,
                              java.lang.String type)
                       throws javax.management.MalformedObjectNameException

  For Admin MBeans

  Builds an ObjectName for an admin MBean in the current domain. If this object is instantiated outside the server, the domain name used is "weblogic".

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String name,
                              java.lang.String type,
                              java.lang.String domain)
                       throws javax.management.MalformedObjectNameException

  For Admin MBeans

  Builds an ObjectName for Admin MBean.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String name,
                              java.lang.String type,
                              java.lang.String domain,
                              java.lang.String location)
                       throws javax.management.MalformedObjectNameException

  For non-Admin MBeans

  Builds an ObjectName for a non-Admin MBean.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String nameArg,
                              java.lang.String typeArg,
                              java.lang.String domainArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

  For Admin MBeans

  Builds an ObjectName for admin MBean with a parent.

### WebLogicObjectName

    public WebLogicObjectName(WebLogicObjectName objectNameArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

  Deprecated. In WLS 6.1

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String nameArg,
                              java.lang.String typeArg,
                              java.lang.String domainArg,
                              java.lang.String locationArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

  For non-Admin MBeans

  Builds an ObjectName for a non-Admin MBean with a parent.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String nameArg,
                              java.lang.String typeArg,
                              WebLogicObjectName parentArg)
                       throws javax.management.MalformedObjectNameException

  Deprecated. In WLS 6.1
  Builds an ObjectName for a non-Admin MBean. Domain is same as that of the parent.

### WebLogicObjectName

    public WebLogicObjectName(java.lang.String domain,
                              java.util.Hashtable properties)
                       throws javax.management.MalformedObjectNameException

  Deprecated. In WLS 6.1
  Builds an ObjectName for any MBean.

### WebLogicObjectName

    public WebLogicObjectName(javax.management.ObjectName objectName,
                              java.lang.String locationName)
                       throws javax.management.MalformedObjectNameException

  Deprecated. In WLS 6.1
  Builds an ObjectName for any MBean, localizing it to locationName.

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getLocation

    public java.lang.String getLocation()

### getParent

    public WebLogicObjectName getParent()

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class javax.management.ObjectName

### interopWriteReplace

    public java.lang.Object interopWriteReplace(weblogic.common.internal.PeerInfo info)
                                         throws java.io.IOException

  Specified by:
    interopWriteReplace in interface weblogic.common.internal.InteropWriteReplaceable

### isAdmin

    public boolean isAdmin()

### isConfig

    public boolean isConfig()

### isRuntime

    public boolean isRuntime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference